#include <stdio.h>
#include <stdlib.h>

int main()
{
  int xc;              /* carattere letto */
  int ultimo = '\0';   /* ultimo carattere letto*/
  unsigned n_triplette = 0; /* n. di triplette trovate */
  enum { UNO, DUE } stato;
  
  stato = UNO;
  while ((xc=getchar()) != EOF)
  {
    if (stato == UNO)
    {
      if (xc == ultimo)
        stato = DUE;
      else
        ultimo = xc;
    }
    else if (stato == DUE)
    {
      if (xc == ultimo)
      {
        n_triplette++;
        ultimo = '\0';
      }
      else
        ultimo = xc;
      stato = UNO;
    }
    else
    {
      fprintf (stderr, "bug: stato inatteso (%d)\n", stato);
      exit (1);
    }
  }

  printf ("Trovata/e %u tripletta/e\n", n_triplette);

  return 0;
}
