#include <stdio.h>
#include <stdlib.h>

int main()
{
  enum {INIZIO_RIGA, NON_INIZIO_RIGA, FINE} stato;
  unsigned nrighe = 0;
  char xc;

  stato = INIZIO_RIGA;
  while ((xc=getchar()) != EOF)
  {
    if (stato==INIZIO_RIGA)
    {
      if (xc == '.')
        stato = FINE;
      else if (xc == '\n')
        nrighe++;
      else
        stato = NON_INIZIO_RIGA;    
    }
    else if (stato == NON_INIZIO_RIGA)
    {
      if (xc == '\n')
      {
        nrighe++;
        stato = INIZIO_RIGA;    
      }
    }
    else if (stato != FINE)
    {
      fprintf (stderr, "bug: stato impossibile (%d)\n", stato);
      exit (1);
    }
  }    
  printf ("Sono state introdotte %u righe\n", nrighe);
  return 0;
}
