#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

int main ()
{
  int xc; /* carattere letto */
  enum {MINUSCOLO, MAIUSCOLO} stato;
  
  stato = MAIUSCOLO; /* la prima lettera e' maiuscola */
  while ((xc = getchar()) != EOF)
  {
    if (stato == MINUSCOLO)
    {
      if (isalpha(xc))
      {
        putchar (tolower(xc));
        stato = MAIUSCOLO;
      }
      else
      {
        putchar (xc);
	if (isspace(xc)) /* cambio di stato se c'e' lo spazio */
          stato = MAIUSCOLO;
      }
    }
    else if (stato == MAIUSCOLO)
    {
      if (isalpha(xc)) /* cambia lo stato e stampa maiuscolo solo se c'e' una lettera */
      {
        putchar (toupper(xc));
        stato = MINUSCOLO;
      }
      else
        putchar(xc);
    }
    else
    {
      fprintf (stderr, "bug - stato impossibile (%d)\n", stato);
      exit (1);
    }
  }
  
  return 0;
}
